Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class Base14Font

    java.lang.Object
      org.apache.fop.fonts.Typeface
          org.apache.fop.fonts.Base14Font

All Implemented Interfaces:
  FontMetrics

Direct Known Subclasses:
  Courier, CourierBold, CourierBoldOblique, CourierOblique, Helvetica, HelveticaBold, HelveticaBoldOblique, HelveticaOblique, Symbol, TimesBold, TimesBoldItalic, TimesItalic, TimesRoman, ZapfDingbats

public abstract class Base14Font
extends Typeface

Base class for all Base 14 fonts.

Field Summary

Fields inherited from class org.apache.fop.fonts.Typeface
`eventListener, NOT_FOUND`

Constructor Summary
`Base14Font()`

Methods inherited from class org.apache.fop.fonts.Typeface
`getEncodingName, getMaxAscent, hadMappingOperations, hasChar, isMultiByte, mapChar, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.fop.fonts.FontMetrics
`getAscender, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFullName, getKerningInfo, getWidth, getWidths, getXHeight, hasKerningInfo`

Constructor Detail

### Base14Font

    public Base14Font()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.